/*@java
 @Created by Dmitriy I. Suyasov
 @Date 05.04.2005
 @Time 17:00:50
 */
package dsuyasov.inetDoc.automat;

import dsuyasov.inetDoc.functionality.Log;

public abstract class Automat {

    /*@
             
    */
    public static final int STATE_FIRST = 0;

    /*@
        .
        @param automatNumber  
    */
    public Automat(int automatNumber) {
        y_state = STATE_FIRST;
        this.automatNumber = automatNumber;
    }

    /*@
          
    */
    public void work() {
        log.automat(" " + automatNumber + "  ");
        initialize();
        while (running) {
            if (AutomatEventMonitor.event.isEmpty())
                AutomatEventMonitor.event.add(AutomatEventMonitor.EVENT_0_TIMER);
            automat(((Integer) AutomatEventMonitor.event.remove()).intValue());
        }
        log.automat(" " + automatNumber + "  ");
    }

    /*@
          
        @param event   
    */
    protected abstract void automat(int event);

    /*@
          
    */
    protected abstract void initialize();

    /*@
        -  
    */
    public boolean running = true;
    /*@
         ,    
    */
    protected int y_state;
    /*@
         
    */
    protected int automatNumber;

    /*@
          
    */
    protected Log log = Log.getLogger();

    /*@
          
        @return  
    */
    public int getAutomatNumber() {
        return automatNumber;
    }

}
