/**
 @author Dmitriy I. Suyasov
 @since 05.09.2005 15:14:42
 */
package dsuyasov.inetDoc.xml;

public class AttributeNode extends Node {

    public AttributeNode(String name, String value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public String getValue() {
        return value;
    }

    public int getType() {
        return Node.ATTRIBUTE_NODE;
    }

    public NodeList getChildNodes() {
        return new NodeList();
    }

    public Attributes getAttributes() {
        return null;
    }

    public void addNode(Node node) {}

    public String toString() {
        return name + " = \"" + value + "\"";
    }
}
