/*@java
 @Created by Dmitriy I. Suyasov
 @Date 05.04.2005
 @Time 17:51:23
 */
package dsuyasov.inetDoc.functionality;

import java.util.ArrayList;
import java.util.Collection;


public class Queue {

    /*@
         
     */
    private ArrayList list;

    /*@
         .
     */
    public Queue() {
        list = new ArrayList();
    }

    /*@
         .
         @param collection   
     */
    public Queue(Collection collection) {
        list = new ArrayList(collection);
    }

    /*@
            .
        @param object   
     */
    public void add(Object object) {
        list.add(object);
    }
    /*@
             .
         @return  
     */
    public Object get() {
        if (isEmpty()) return null;
        return list.get(0);
    }

    /*@
             
         @return  
     */
    public Object remove() {
        if (isEmpty()) return null;
        return list.remove(0);
    }

    /*@
           .
         @param object    
     */
    public void changeFirst(Object object) {
        if (!isEmpty()) {
            list.set(0, object);
        }
    }

    /*@
              
         @return  
     */
    public boolean isEmpty() {
        return (list.size() == 0);
    }

}
