/**
 @author Dmitriy I. Suyasov
 @since 05.09.2005 15:23:13
 */
package dsuyasov.inetDoc.xml;

public class ElementNode extends Node {

    public ElementNode(String name) {
        childNodes = new NodeList();
        attributes = new Attributes();
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public String getValue() {
        String result = "";
        for (int iLoop = 0; iLoop < childNodes.size(); iLoop++)
            result += childNodes.getNode(iLoop).toString();
        return result;
    }

    public int getType() {
        return Node.ELEMENT_NODE;
    }

    public NodeList getChildNodes() {
        return childNodes;
    }

    public Attributes getAttributes() {
        return attributes;
    }

    public void addNode(Node node) {
        childNodes.addNode(node);
    }
}
