/*@java
 @Created by Dmitriy I. Suyasov
 @Date 05.04.2005
 @Time 17:00:50
 */
package dsuyasov.inetDoc.automat;

import dsuyasov.inetDoc.functionality.Log;

public abstract class Automat {

    /*@
             
    */
    public static final int STATE_FIRST = 0;
    public static final int EVENT_0_TIMER = 0;

    protected String automatName;

    /*@
        .
        @param automatNumber  
    */
    public Automat(String automatName) {
        y_state = STATE_FIRST;
        this.automatName = automatName;
    }

    /*@
          
    */
    protected void work() {
        log.automat(automatName, true);
        running = true;
        ERROR = "";
        y_state = STATE_FIRST;
        initialize();
        while (running) {
            automat(EVENT_0_TIMER);
        }
        if (ERROR.length() > 0)
            ERROR = "["+this.getClass().getName()+"] ->\n"+ERROR;
        log.automat(automatName, false);
    }

    /*@
          
        @param event   
    */
    protected abstract void automat(int event);

    /*@
          
    */
    protected abstract void initialize();

    /*@
        -  
    */
    public boolean running = true;
    /*@
         ,    
    */
    protected int y_state;

    /*@
          
    */
    protected Log log = Log.getLogger();

    public String ERROR = "";

}
