/**
 @author Dmitriy I. Suyasov
 @since 05.09.2005 13:51:44
 */
package dsuyasov.inetDoc.xml;

public class RootDocument extends Node {

    public RootDocument() {
        childNodes = new NodeList();
    }

    public String getName() {
        return "DOCUMENT_ROOT";
    }

    public String getValue() {
        String result = "";
        for (int iLoop = 0; iLoop < childNodes.size(); iLoop++)
            result += childNodes.getNode(iLoop).toString();
        return result;
    }

    public int getType() {
        return Node.DOCUMENT_NODE;
    }

    public NodeList getChildNodes() {
        return childNodes;
    }

    public Attributes getAttributes() {
        return null;
    }

    public void addNode(Node node) {
        childNodes.addNode(node);
    }


}
